Magick++ 6.9.6

Public Member Functions | List of all members
Magick::annotateImage Class Reference

`#include <STL.h>`

## Public Member Functions
| annotateImage (const std::string &text_, const Geometry &geometry_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_, const double degrees_)
| annotateImage (const std::string &text_, const GravityType gravity_)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 103 of file STL.h.

## Constructor & Destructor Documentation

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 65 of file STL.cpp.

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 74 of file STL.cpp.

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_,
|  | const double | degrees_
| ) |  |

Definition at line 85 of file STL.cpp.

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 97 of file STL.cpp.

## Member Function Documentation

void Magick::annotateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 105 of file STL.cpp.

References Magick::Image::annotate().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp